#!/bin/bash
# Valgrind (no paths)

trap "/usr/bin/killall -q -u $USER ./Paths 2>/dev/null" 0 1 2 3 9 15
trap "/bin/rm -f $STDERR" 0 1 2 3 9 15
if [ ! -x ./Paths ]; then
  echo './Paths is missing or not executable'
  echo './Paths is missing or not executable' 1>&2
  exit 1
fi


$BIN/run -stdout=/dev/null -stderr=/dev/null /usr/bin/valgrind --tool=memcheck --leak-check=yes -q  --log-file=valgrind.out ./Paths $WHERE/cyclic_no_path.in -longest 0 4 -longest 4 2 < /dev/null
cat valgrind.out
